Available in VPC
Get the list of server specification codes available to use in Cloud DB for MongoDB.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vmongodb/v2/getCloudMongoDbProductList |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the Cloud DB for MongoDB instance to view
|
zoneCode |
String | Optional | Filter by zone code
|
cloudMongoDbImageProductCode |
String | Required | Filter by Cloud DB for MongoDB image product code |
productCode |
String | Optional | Filter by Cloud DB for MongoDB product code |
infraResourceDetailTypeCode |
String | Optional | Filter by other Cloud DB for MongoDB server infrastructure detailed product code
|
exclusionProductCode |
String | Optional | Filter by excluding Cloud DB for MongoDB product code |
responseFormatType |
String | Optional | Format of the response result
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbProductList
?regionCode=KR
&cloudMongoDbImageProductCode=SW.VMGDB.LNX64.CNTOS.0708.MNGDB.5025.CE.B050
&productCode=SVR.VMGDB.CFGSV.HICPU.C002.M004.NET.SSD.B050.G002
&infraResourceDetailTypeCode=CFGSV
&exclusionProductCode=SVR.VMGDB.MNGOS.HICPU.C004.M008.NET.SSD.B050.G00
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See ProductList for the response body.
Response status codes
For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.
Response example
The following is a sample response.
-
If
responseFormatType=json{ "getCloudMongoDbProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SVR.VMGDB.CFGSV.HICPU.C002.M004.NET.SSD.B050.G002", "productName": "vCPU 2EA, Memory 4GB", "productType": { "code": "HICPU", "codeName": "High CPU" }, "productDescription": "2 vCPUs, 4 GB memory, 50 GB [SSD] disk", "infraResourceType": { "code": "VMGDB", "codeName": "Cloud DB for MongoDB (VPC)" }, "infraResourceDetailType": { "code": "CFGSV", "codeName": "Config Server" }, "cpuCount": 2, "memorySize": 4294967296, "diskType": { "code": "NET", "codeName": "Network Storage" } } ], "requestId": "8c34cb60-****-****-****-a39379dea1e7", "returnCode": "0", "returnMessage": "success" } } -
If
responseFormatType=xml(default)<?xml version="1.0" encoding="UTF-8"?> <getCloudMongoDbProductListResponse> <requestId>8c34cb60-****-****-****-a39379dea1e7</requestId> <returnCode>0</returnCode> <returnMessage>success</returnMessage> <totalRows>1</totalRows> <productList> <product> <productCode>SVR.VMGDB.CFGSV.HICPU.C002.M004.NET.SSD.B050.G002</productCode> <productName>vCPU 2EA, Memory 4GB</productName> <productType> <code>HICPU</code> <codeName>High CPU</codeName> </productType> <productDescription>2 vCPUs, 4 GB memory, 50 GB [SSD] disk</productDescription> <infraResourceType> <code>VMGDB</code> <codeName>Cloud DB for MongoDB (VPC)</codeName> </infraResourceType> <infraResourceDetailType> <code>CFGSV</code> <codeName>Config Server</codeName> </infraResourceDetailType> <cpuCount>2</cpuCount> <memorySize>4294967296</memorySize> <diskType> <code>NET</code> <codeName>Network Storage</codeName> </diskType> </product> </productList> </getCloudMongoDbProductListResponse>